# sigc::deduce_result_type< T_functor, T_arg1, T_arg2, T_arg3, void, void, void, void, true > Struct Template Reference

Deduce the return type of a functor. More...

`#include <sigc++/adaptors/deduce_result_type.h>`

List of all members.

## Public Types

typedef T_functor::template deduce_result_type< T_arg1, T_arg2, T_arg3 >::type | type

## Detailed Description

### template <class T_functor, class T_arg1, class T_arg2, class T_arg3>
struct sigc::deduce_result_type< T_functor, T_arg1, T_arg2, T_arg3, void, void, void, void, true >

Deduce the return type of a functor.

This is the template specialization of the sigc::deduce_result_type template for 3 arguments.